#
# spec file for package javamail (Version 1.3.3_01)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv jpackage-utils klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           javamail
BuildRequires:  jpackage-utils
%define name		javamail
%define version		1.3.3
%define cvs_version	1_3_3_01
%define release		2jpp
%define section		non-free
Version:        1.3.3_01
Release:        14.2
Summary:        The JavaMail(TM) API
License:        Other License(s), see package
URL:            http://java.sun.com/products/javamail/
Group:          Development/Libraries/Java
Source0:        %{name}-%{cvs_version}.zip
NoSource:       0
BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The JavaMail(TM) 1.3 API provides a set of abstract classes that model
a mail system. The API provides a platform independent and protocol
independent framework to build Java technology-based mail and messaging
applications. The JavaMail(TM) API is implemented as a Java platform
optional package and is also available as part of the Java 2 platform,
Enterprise Edition. Sun provides a royalty-free reference
implementation, in binary form, that developers will be able to use and
ship.



%package manual
Summary:        Manual for javamail
Group:          Development/Libraries/Java

%description manual
Documentation for javamail.



%package javadoc
Summary:        The JavaMail(TM) API
Group:          Development/Libraries/Java
PreReq:         coreutils

%description javadoc
Javadoc documentation for javamail.



%package demo
Summary:        The JavaMail(TM) API
Requires:       %{name} = %{version}
Group:          Development/Libraries/Java

%description demo
Demonstrations and samples for javamail.



%package monolithic
Summary:        The JavaMail(TM) API
Group:          Development/Libraries/Java

%description monolithic
All javamail in one monolithic jar.



%prep
%setup -q
# fix files perms
chmod -R go=u-w *

%build

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 mail.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 lib/mailapi.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/mailapi-%{version}.jar
install -m 644 lib/imap.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/imap-%{version}.jar
install -m 644 lib/pop3.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/pop3-%{version}.jar
install -m 644 lib/smtp.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/smtp-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-sun-%{version}
cp -pr docs/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr *.txt           $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -rf docs/javadocs
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr demo $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc *.txt
%{_javadir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc docs/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%files monolithic
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%changelog -n javamail
* Mon Apr 24 2006 - dbornkessel@suse.de
- added license text (Bug #168815)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - dbornkessel@suse.de
- updated to v. 1.3.3_01
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Thu Sep 16 2004 - skh@suse.de
- Fix Prerequires of javadoc subpackage
* Wed Sep 15 2004 - kukuk@suse.de
- Fix Requires of javamail-demo
* Thu Sep 09 2004 - skh@suse.de
- Remove broken Obsoletes: and Provides:
* Thu Sep 02 2004 - skh@suse.de
- Initial package with version 1.3.1 created (JPackage 1.5)
